Resume accepting payments on a static address
curl --request POST \
--url https://api.example.com/v1/public/static-addresses/{uuid}/enable \
--header 'X-Signature: <api-key>'import requests
url = "https://api.example.com/v1/public/static-addresses/{uuid}/enable"
headers = {"X-Signature": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-Signature': '<api-key>'}};
fetch('https://api.example.com/v1/public/static-addresses/{uuid}/enable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orderId": "customer-42",
"label": "<string>",
"assetCode": "USDT_TRC20",
"network": "TRON",
"address": "<string>",
"memo": "<string>",
"status": "active",
"explorerAddressUrl": "<string>",
"paymentsCount": 3,
"totalReceived": "350.5",
"lastPaymentAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}public · static addresses
Resume accepting payments on a static address
POST
/
v1
/
public
/
static-addresses
/
{uuid}
/
enable
Resume accepting payments on a static address
Authorizations
HMAC-SHA256-Hex(timestamp + "." + raw_body, api_secret)
Path Parameters
Response
200 - application/json
Example:
"customer-42"
Example:
"USDT_TRC20"
Example:
"TRON"
Memo для memo-based сетей (постоянный).
Available options:
active, disabled Число платежей (дочерних депозитов).
Example:
3
Сумма финализированных платежей.
Example:
"350.5"